Subject: Re: bug#13588: Pax hangs in case big UID

From: Stefano Lattarini <[email-masked]>
Date: Tue, 05 Feb 2013 14:51:19 +0100

Hi Peter and Petr (no typo :-)

FYI, this patch is on my radar, and I intend to consider it (and
likely integrate and adjusted version of it) in the upcoming minor
version of Automake (1.13.2).

If you want to speed things up a bit and make the integration
work easier to us, you can present the patch as the output of
"git format-patch" rather than of "git diff", and add a clear
git commit message that explains the rationale and motivation
for the change.  That would be appreciated.

On 02/05/2013 01:42 PM, Petr Hracek wrote:
> Hello Peter,
> 
> no problem, I will wait.
> AC_SUBST is used for one place instance of the variable
> so that we will modify (in future) only one row instead of several.
>
I don't understand this rationale; and I agree with Peter that the
AC_SUBST call on AM_BIG_ID is unneeded; this should be just a shell
variable (and since it is used only internally by the automake
generated code, it should likely be renamed to something like
'am_big_id', or even '_am_big_id'.

There are other issues too, but I'll get to them when I'll do a proper
review.

> I hope that this is not too much general.
> 
> BR
> Petr

Thanks,
  Stefano